use rsa::{RsaPrivateKey, RsaPublicKey};
use sqlx::{Pool, Postgres};

use crate::config::Config;

pub struct AppState {
    pub pool: Pool<Postgres>,
    pub config: Config,
    pub private_key: RsaPrivateKey,
    pub public_key: RsaPublicKey,
}
